Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.workplace.wcm.api.extensions.digitalasset
Class DigitalAssetException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.ibm.workplace.wcm.api.exceptions.WCMException
                  com.ibm.workplace.wcm.api.extensions.digitalasset.DigitalAssetException

All Implemented Interfaces:
  Localized, java.io.Serializable

    public class DigitalAssetException

extends WCMException

A `DigitalAssetException` is any error occurs while executing a DigitalAssetManagerPlugin.

Since:
  8.5.cf3
See Also:
  Serialized Form

Field Summary

Fields inherited from class com.ibm.workplace.wcm.api.exceptions.WCMException
`ERR_APTRIX`

Constructor Summary
`DigitalAssetException()` Constructs a new
`DigitalAssetException(Localized message)` Constructs a new exception with the given localized message.
`DigitalAssetException(java.lang.String detail)` Constructs a new exception with the given non-localized message.
`DigitalAssetException(java.lang.Throwable cause)` Constructs a new exception from an exception that caused this exception

Method Summary

Methods inherited from class com.ibm.workplace.wcm.api.exceptions.WCMException
`getCause, getDescription, getErrorCode, getLocales, getMessage, getMessage, getTitle, printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getStackTrace, initCause, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DigitalAssetException

    public DigitalAssetException()

  Constructs a new

### DigitalAssetException

    public DigitalAssetException(java.lang.Throwable cause)

  Constructs a new exception from an exception that caused this exception

  Parameters:
    `cause` - the exception that caused this exception

### DigitalAssetException

    public DigitalAssetException(Localized message)

  Constructs a new exception with the given localized message.

  Parameters:
    `message` - the message
    `cause` - the exception that caused this exception

### DigitalAssetException

    public DigitalAssetException(java.lang.String detail)

  Constructs a new exception with the given non-localized message. Note: only use this for messages that are not exposed to users.

  Parameters:
    `detail` - the message

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD